PE-2850 dell_ft_install

Paul M. Dyer pmdyer at ctgcentral2.com
Tue Apr 6 14:34:19 CDT 2010


Hi,

I installed the Dell Firmware Tools on a PE-2850 that is running RHEL 5.5 (2.6.18-194.el5xen).   It ran into real problems when I did the bootstrap.   There were issues with the gpg-pubkey, so I installed using:

yum --nogpgcheck install $(bootstrap_firmware)

This installed the wrong rpm's:

Installed:
  BMC_Firmware_componentid_05814.noarch 0:a01-21                                
  BMC_Firmware_componentid_05814_for_PowerEdge_2850.noarch 0:a10-21             
  Backplane_Firmware_componentid_03967_for_PowerEdge_2850.noarch 0:a01-21       
  Perc_4e_Di_ven_0x1028_dev_0x0013_subven_0x1028_subdev_0x016d_for_PowerEdge_2850.noarch 0:a19-21
  PowerEdge_C6100_BIOS_componentid_00159.noarch 0:1.06-21                       
  Server_System_BIOS_componentid_00159_for_PowerEdge_2850.noarch 0:a07-21       
  system_bios_PowerEdge_2850.noarch 50:a07-20                                   

Dependency Installed:
  dell-dup.noarch 0:1.1.3-1.1.el5   

At that point, I could see the rpm PowerEdge_C6100 looked strange.  Running the inventory_update shows below that something is not in sync, because the BIOS 1.06 wants to be applied over a07...   The BMC info is correct and needs updating.

I have yum removed all the firmware tools on the xen server.   Could anyone advise me on what I was missing here?

Thanks,
Paul


# update_firmware
hello world from update module doCheck()

Running system inventory...

Searching storage directory for available BIOS updates...
Checking BIOS - a07
        Available: dell_dup_componentid_00159 - a07
        Available: dell_dup_componentid_00159 - 1.06
        Found Update: dell_dup_componentid_00159 - 1.06
Checking Primary Backplane - 1.00
        Available: dell_dup_componentid_03967 - 1.00
        Did not find a newer package to install that meets all installation checks.
Checking System BIOS for PowerEdge 2850 - A07
        Available: system_bios(ven_0x1028_dev_0x016d) - a07
        Did not find a newer package to install that meets all installation checks.
Checking BMC - 1.72
        Available: dell_dup_componentid_05814 - 1.83
        Available: dell_dup_componentid_05814 - 1.05
        Found Update: dell_dup_componentid_05814 - 1.83

Found firmware which needs to be updated.
                                            



More information about the Linux-PowerEdge mailing list